commit:     01ebe2cd61f1b74f567fad206980baa81c68b837
Author:     Mihai Moldovan <ionic <AT> ionic <DOT> de>
AuthorDate: Mon Dec 23 01:47:45 2019 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Mon Dec 23 01:48:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01ebe2cd

dev-python/PyQt5: more complete fix for parallel install failure

Closes: https://bugs.gentoo.org/702976
Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>

 dev-python/PyQt5/PyQt5-5.13.2.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/dev-python/PyQt5/PyQt5-5.13.2.ebuild 
b/dev-python/PyQt5/PyQt5-5.13.2.ebuild
index bf0d0d6170b..d0702624228 100644
--- a/dev-python/PyQt5/PyQt5-5.13.2.ebuild
+++ b/dev-python/PyQt5/PyQt5-5.13.2.ebuild
@@ -154,7 +154,13 @@ src_configure() {
                "${myconf[@]}" || die
 
                # Fix parallel install failure
-               sed -i -e '/INSTALLS += distinfo/i distinfo.depends = 
install_subtargets' ${PN}.pro || die
+               if python_is_python3; then
+                       sed -i -e '/INSTALLS += distinfo/i distinfo.depends = 
install_subtargets install_pep484_stubs install_qscintilla_api' \
+                               ${PN}.pro || die
+               else
+                       sed -i -e '/INSTALLS += distinfo/i distinfo.depends = 
install_subtargets install_qscintilla_api' \
+                               ${PN}.pro || die
+               fi
 
                # Run eqmake to respect toolchain and build flags
                eqmake5 -recursive ${PN}.pro

Reply via email to